## AgsOscResponse

AgsOscResponse — the OSC server side response

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_OSC_RESPONSE_GET_OBJ_MUTEX()
gboolean | ags_osc_response_test_flags ()
void | ags_osc_response_set_flags ()
void | ags_osc_response_unset_flags ()
AgsOscResponse * | ags_osc_response_new ()

## Properties

char * | error-message | Read / Write
AgsOscMessage * | osc-message | Read / Write
gpointer | packet | Read / Write
guint | packet-size | Read / Write

## Types and Values

#define | AGS_OSC_RESPONSE_ERROR_MESSAGE_SERVER_FAILURE
#define | AGS_OSC_RESPONSE_ERROR_MESSAGE_MALFORMED_REQUEST
#define | AGS_OSC_RESPONSE_ERROR_MESSAGE_UNKNOWN_PATH
#define | AGS_OSC_RESPONSE_ERROR_MESSAGE_UNKNOWN_ARGUMENT
#define | AGS_OSC_RESPONSE_ERROR_MESSAGE_MISSING_INDEX
#define | AGS_OSC_RESPONSE_ERROR_MESSAGE_CHUNK_SIZE_EXCEEDED
#define | AGS_OSC_RESPONSE_DEFAULT_CHUNK_SIZE
enum | AgsOscResponseFlags

## Object Hierarchy

        GObject
        ╰── AgsOscResponse

## Includes

    #include <ags/audio/osc/ags_osc_response.h>

## Description

AgsOscResponse your OSC server side response.

## Functions

### AGS_OSC_RESPONSE_GET_OBJ_MUTEX()

    #define AGS_OSC_RESPONSE_GET_OBJ_MUTEX(obj) (&(((AgsOscResponse *) obj)->obj_mutex))

### ags_osc_response_test_flags ()

    gboolean
    ags_osc_response_test_flags (AgsOscResponse *osc_response,
                                 AgsOscResponseFlags flags);

Test `flags` to be set on `osc_response` .

#### Parameters

osc_response | the AgsOscResponse |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_osc_response_set_flags ()

    void
    ags_osc_response_set_flags (AgsOscResponse *osc_response,
                                AgsOscResponseFlags flags);

Set flags.

#### Parameters

osc_response | the AgsOscResponse |
flags | the flags |

Since: 3.0.0

### ags_osc_response_unset_flags ()

    void
    ags_osc_response_unset_flags (AgsOscResponse *osc_response,
                                  AgsOscResponseFlags flags);

Unset flags.

#### Parameters

osc_response | the AgsOscResponse |
flags | the flags |

Since: 3.0.0

### ags_osc_response_new ()

    AgsOscResponse *
    ags_osc_response_new ();

Creates a new instance of AgsOscResponse

#### Returns

the new AgsOscResponse

Since: 3.0.0

## Types and Values

### AGS_OSC_RESPONSE_ERROR_MESSAGE_SERVER_FAILURE

    #define AGS_OSC_RESPONSE_ERROR_MESSAGE_SERVER_FAILURE "server failure"

### AGS_OSC_RESPONSE_ERROR_MESSAGE_MALFORMED_REQUEST

    #define AGS_OSC_RESPONSE_ERROR_MESSAGE_MALFORMED_REQUEST "malformed request"

### AGS_OSC_RESPONSE_ERROR_MESSAGE_UNKNOWN_PATH

    #define AGS_OSC_RESPONSE_ERROR_MESSAGE_UNKNOWN_PATH "unknown path"

### AGS_OSC_RESPONSE_ERROR_MESSAGE_UNKNOWN_ARGUMENT

    #define AGS_OSC_RESPONSE_ERROR_MESSAGE_UNKNOWN_ARGUMENT "unknown argument"

### AGS_OSC_RESPONSE_ERROR_MESSAGE_MISSING_INDEX

    #define AGS_OSC_RESPONSE_ERROR_MESSAGE_MISSING_INDEX "missing index"

### AGS_OSC_RESPONSE_ERROR_MESSAGE_CHUNK_SIZE_EXCEEDED

    #define AGS_OSC_RESPONSE_ERROR_MESSAGE_CHUNK_SIZE_EXCEEDED "chunk size exceeded"

### AGS_OSC_RESPONSE_DEFAULT_CHUNK_SIZE

    #define AGS_OSC_RESPONSE_DEFAULT_CHUNK_SIZE (131072)

### enum AgsOscResponseFlags

Enum values to configure OSC response.

#### Members

AGS_OSC_RESPONSE_EMPTY | is empty |
AGS_OSC_RESPONSE_OK | is OK |
AGS_OSC_RESPONSE_ERROR | has error |

## Property Details

### The `“error-message”` property

      “error-message”            char *

The error message.

Owner: AgsOscResponse

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“osc-message”` property

      “osc-message”              AgsOscMessage *

The assigned AgsOscMessage

Owner: AgsOscResponse

Flags: Read / Write

Since: 3.0.0

### The `“packet”` property

      “packet”                   gpointer

The response packet.

Owner: AgsOscResponse

Flags: Read / Write

Since: 3.0.0

### The `“packet-size”` property

      “packet-size”              guint

The response packet's size.

Owner: AgsOscResponse

Flags: Read / Write

Default value: 0

Since: 3.0.0